--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: I'm not really sure what this is for, other than to guarantee that there are 4 elements in the sexp.
full_name: Rewriter#process_if
is_singleton: false
name: process_if
params: (exp)
visibility: public
